/*
 * ConfigurationRuntimeException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * 設定ファイルの間違いにより発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ConfigurationRuntimeException extends CB3RuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = -4063021503957950687L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ConfigurationRuntimeException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ConfigurationRuntimeException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ConfigurationRuntimeException(String msg, Exception cause) {
		super(msg, cause);
	}
}
